
QGIS Application - Bug report #15229

style dock: hillshade renderer's global transparency value resets after changing symbology settings

2016-07-06 08:37 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23166

Description

Steps to reproduce:

    1. Create a new project

    2. Add a DEM raster layer

    3. Open the style dock, set the renderer to hillshade

    4. Go to the transparency tab/panel

    5. Set global transparency to 80%

    6. Go back to the symbology tab/panel

    7. Change the azimuth angle, and notice the global transparency resets to 0%

Associated revisions

Revision cca79aa2 - 2016-07-07 02:01 PM - Martin Dobias

Fix loss of transparency information in style dock (fixes #15229)

History

#1 - 2016-07-07 01:27 AM - Andreas Neumann

hm - while I agree that it is annoying and should be fixed - should this really be in the category "Severe/Regression"?

This category, IMHO, should be reserved for issues that make QGIS crash, corrupt your data or make your workflow totally inefficient. Or stuff that clearly

worked in a previous version (regression).

#2 - 2016-07-07 01:44 AM - Mathieu Pellerin - nIRV

Andreas, my understanding of the priority is that we would classify as a "blocker" (what we know refer to severe/regression) issues that affect newly added

features to QGIS as to avoid serving a new feature with known issues prior to the initial release of that feature.

#3 - 2016-07-07 03:15 AM - Martin Dobias

- Assignee changed from Nathan Woodrow to Martin Dobias

#4 - 2016-07-07 05:02 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"cca79aa2f4838f0907390ee9de1e31461ba21027".
